package com.community.huiju.dao;

import com.community.huiju.model.TaUserLicenseOrder;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface TaUserLicenseOrderMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TaUserLicenseOrder record);

    int insertSelective(TaUserLicenseOrder record);

    TaUserLicenseOrder selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TaUserLicenseOrder record);

    int updateByPrimaryKey(TaUserLicenseOrder record);

    /**
     * 缴费记录
     * @return
     */
    @ResultMap("BaseResultMap")
    @Select("select * from ta_user_license_order where community_id = #{communityId} and ta_user_id = #{userId} and order_status = 1")
    List<TaUserLicenseOrder> selectRecords(@Param("communityId") Integer communityId, @Param("userId") Integer userId);
}