import request from '@/utils/request'

export function fetchShopTypeList(query) {
  return request({
    url: '/shop/types',
    method: 'get',
    params: query
  })
}

export function changeShopSetting(shopSettingValue) {
  return request({
    url: '/shop/add/setting',
    method: 'post',
    data: {
      shopSettingValue: shopSettingValue
    }
  })
}
